FreetdsSqlUtil::FreetdsCheckConstraint Class Reference

represents a FreeTDS-specific check constraint More...

Inherits SqlUtil::AbstractCheckConstraint.

## Public Member Functions

| constructor (string n, string n_src)
| creates the constraint from the supplied arguments
string | getCreateSql (string name, string table_name, *hash opt)
| returns a string that can be used to create the constraint in the database
string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the constraint in the database

## Detailed Description

represents a FreeTDS-specific check constraint